Subject: Re: bug#54296: Add buffer-matching functionality

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Jun 2022 21:47:53 +0300

> Date: Tue, 14 Jun 2022 21:43:41 +0300
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 13.06.2022 15:04, Eli Zaretskii wrote:
> >> Date: Mon, 13 Jun 2022 03:21:13 +0300
> >> Cc: [email-masked], [email-masked]
> >> From: Dmitry Gutov <[email-masked]>
> >>
> >> On 14.03.2022 15:38, Philip Kaludercic wrote:
> >>> The issue isn't that the default value couldn't be updated, but that if
> >>> anyone has e.g. been using `project-kill-buffer-conditions' over the
> >>> last 1½ years and has relied on the specific distinction between
> >>> `major-mode' and `derived-mode', they would run in to unexpected
> >>> results, that might result in more buffers being killed than intended,
> >>> potentially data being lost that the user might not expect because of an
> >>> update.
> >>
> >> I see that this point hasn't been addressed at all.
> >>
> >> Eli?
> > 
> > Do you agree with Philip that deprecating or removing major-mode would
> > be a problem for users of project-kill-buffer-conditions etc.?
> 
> Yes. I also mentioned that here: 
> https://lists.gnu.org/archive/html/emacs-devel/2022-06/msg00650.html

So then everything is okay, AFAIU, because eventually Philip left that
in the code.  Right?

> > I kinda gave up because Philip felt extremely uneasy with dropping
> > major-mode, leaving us with just derived-mode, but I still think we
> > shouldn't encourage Lisp programs to use major-mode.  So if you don't
> > think it would be a problem, I'd be happier if we removed major-mode
> > and used derived-mode instead.
> 
> If I didn't think Philip's point had merit, I wouldn't have brought it 
> up now.

OK, but I didn't press my POV, so where's the problem, and why the
emotions?